%==========================================================================
%
%   takePointOnLine.m
%
%   Authors: SUMO Lab Team
%   Version: 1.0
%   Copyright: 2017
%   
%   When referring to ALBATROS please make reference to the corresponding publication:
%   
%   Van Steenkiste T., J. van der Herten, D. Deschrijver and T. Dhaene.
%   "ABLATROS: Adaptive Line-Based Sampling Trajectories for Sequential
%   Measurements". Engineering with Computers.
%
%==========================================================================
%
%   SIGNATURE:
%   point = takePointOnLine(position, A, B)
%
%==========================================================================
%
%   PURPOSE:
%   take a point at a certain position along a line AB
%
%   INPUT:
%   position: position at which to take a point
%   A: point of the line
%   B: point of the line
%  
%   OUTPUT:
%   point: selected point along the line AB
%   %==========================================================================

function point = takePointOnLine(position, A, B)
	AB = B - A;
	u = AB / norm(AB);
	point = A + position * u;
end

